\documentclass[10pt,t,serif,professionalfont]{beamer}
\PassOptionsToPackage{pdfpagemode=FullScreen}{hyperref}
\usepackage{../present}
% \usepackage{present}
\usepackage{../stats}
\usepackage{movie15}

% \usepackage{pgfplots}
% \pgfplotsset{width=5cm}
% \usepackage{longtable}

\usepackage{jh}
\usepackage{dcolumn}

\mode<presentation>
{
  \usetheme{boxes}
  \setbeamercovered{invisible}
  \setbeamertemplate{navigation symbols}{} 
}
\addheadbox{filler}{\ }  % create extra space at top of slide 
%\setbeameroption{show notes}
% \setbeamertemplate{background canvas}[vertical shading][bottom=red!20,top=yellow!30]
\hypersetup{colorlinks=true,linkcolor=red} 

\title[Relationships] % (optional, use only with long paper titles)
{Relationships}
% \subtitle{Data}
\author{J Hef{}feron}
\institute{
  Mathematics\\
  Saint Michael's College\\
  Colchester, VT\\[1ex]
  \texttt{jhefferon@smcvt.edu.edu}
}
\date{}

% \subject{Data}
% This is only inserted into the PDF information catalog. Can be left
% out. 

\begin{document}
\begin{frame}
  \titlepage
\end{frame}

%........................................................
\section{Two quantitiative variables: Regression}




\begin{frame}
\frametitle{Relationships}

If we look at the incoming class at SMC and ask,
``What is the average SAT Math score?'' then we
are talking about a single variable.
If we say, ``Who did better on SAT Math, people from inside VT or outside?'' then
we are looking at relationships among variables.

\pause
\textbf{Example}
We compare the cholesterol levels of men in their fifties to the
death rate.
Our reason for doing so may be to establish 
that a higher cholesterol rate is a predictor of early death.

\pause
\textbf{Example}
We compare the growth rate of the US economy as a whole to the growth 
rate of the VT economy, for the past ten years.
We might contend that the VT rate changes changes in lockstep
with the US rate,
that the link between the two is very strong.
\centergraphic[height=0.30\textheight]{vtandus.png}
\end{frame}





\begin{frame}
\exm
One variable may enable us to make predictions
about the other.
This can happen even when there is not a direct cause 
relationship between them.

\clipping{
\begin{center}
\textbf{Heart disease-baldness link detailed}
\end{center}
\noindent Men who are losing the hair on the crowns of their heads
have up to a $36$~percent geater risk of experiencing heart
problems, including heart attacks and bypass surgery, a study found.

Men with a receeding hairline are not at increased risk, but those 
going bald at the crown should pay special attention to their 
blood pressure and cholesterol levels.
}

Perhaps the link is that the pattern of baldness is a visible sign
of genetic background, which in turn is a pointer to the risk
of heart trouble.

\pause
\exm
A deficiency of Vitamin D is a predictor of
cancer, heart disease, respiratory infection, stroke, diabetes, and death.
However, experiments show that supplements don't change
the bad outcomes.
\end{frame}


\begin{frame}{What are scatterplots?}
Here is the data for the starting five in the Boston Celtics in 2023.
\begin{center}
  \begin{tabular}{r|cc}
    \multicolumn{1}{c}{\textit{Player}}
       &\multicolumn{1}{c}{\textit{Height (in)}} 
       &\multicolumn{1}{c}{\textit{Weight (lbs)}}   \\
    \cline{2-3}
    Pritchard &73 &195  \\
    White     &76 &190  \\
    Tatum     &80 &210  \\
    G Williams&78 &236  \\
    R Williams&81 &237  \\
  \end{tabular}
\end{center}

An \alert{explanatory variable} explains the variation in the
 \alert{response variable}.

Here we take it that variation in height explains the observed
variation in weight.
When we draw a scatterplot, we must put the explanatory variable on 
the $x$-axis.
\end{frame}

\begin{frame}{Using \textit{StatKey}}
\centergraphic[height=0.425\textheight]{celtics.png}

\centergraphic[height=0.425\textheight]{celtics2.png} 
\end{frame}




\begin{frame}
\frametitle{Understanding the tools: what kind of relationship?}  

\clipping{
\begin{center}
\textbf{Report links cheap beer to sexual diseases}
\end{center}
\noindent ATLANTA- Cheap beer is a leading contributer to the spread of
sexually transmitted diseases, according to a government report.

\ldots

``Alcohol has been linked to risky sexual behavior among youth.
It influences a person's judgment and they are more likely to have
sex without a condom, with multiple partners, or with high-risk
partners,'' said Harrell Chesson, a health economist with the CDC.

\ldots

``Excise taxes have little or nothing to do with alcohol abuse
in society,'' said Lori Levy of The Beer Institute in Washington.
``I think that our members understand the importance of educating
young people about how to make responsible choices once they're old
enough and they put a lot of money and effort into those programs.''
}\par\hspace*{1in}\ldots{}\textit{Continued}\ldots{}
\end{frame}
\begin{frame}
\clipping{
The CDC analyzed the drops in gonorrhea rates following different
tax increases and came up with the estimate that a $20$-cent
increase per six-pack would lead to a $9$ percent drop in gonorrhea 
rates.}

To understand this argument,
we need to know the powers and limits of the analysis,
of our tools.
For example, what's with $20$ cent and $/9$ percent?
This is the slope of the line that best fits
the data.   

The argument in the article is about when our calculations 
are appropriate.
\end{frame}






\begin{frame}
\frametitle{Argument: what wins ball games?}

At a minor league baseball game we went to, 
they handed out these stats.
For Batting Avg, higher is better.
For ERA (a kind of pitching average), lower is better.
\begin{center}\small
  \begin{tabular}{l|rrr|rr}
    Team          &W    &L    &GB  &Avg    &ERA     \\ \hline
    Hudson Valley &$31$ &$22$ &--    &$.244$ &$3.18$  \\
    Utica         &$29$ &$22$ &$1$   &$.250$ &$3.72$  \\
    Pittsfield    &$30$ &$25$ &$2$   &$.252$ &$3.60$  \\
    Oneonta       &$28$ &$25$ &$3$    &$.239$ &$2.89$  \\
    Staten Island &$26$ &$27$ &$5$    &$.252$ &$4.24$  \\
    New Jersey    &$25$ &$30$ &$7$   &$.242$ &$4.05$  \\
    Lowell        &$25$ &$30$ &$8$    &$.246$ &$4.06$  \\
    Vermont       &$21$ &$34$ &$11$    &$.272$ &$5.45$  
  \end{tabular}
\end{center}
Vermont was playing Oneonta. 
Note that Oneonta had the worst
batting average but the best ERA, while Vermont had the best batting
average and the worst ERA.
\end{frame}

\begin{frame}
Here is that data in graphs. 
\centergraphic[width=\textwidth]{asy/relationships00.pdf}

\centergraphic[width=\textwidth]{asy/relationships01.pdf}

\end{frame}

\begin{frame}
The data shows two things.

  \begin{itemize}
  \item \alert{Batting avg is not a predictor of place in league.}
    If I told you that a team is batting $.250$, what place
    would you predict?
  \pause\item \alert{Pitching average \textit{is} connected.}
    If I told you that a team's ERA is $3.00$ then you could
    make a prediction.
  \end{itemize}

Note that while 
we claim to have established (in this toy example) that pitching is
connected to winning,
we do not claim to establish the nature of that connection. 
Maybe good pitching is the cause, or perhaps it is good fielding that wins
ball games and incidentally makes for good ERA's.

Note also that the tool for establishing relationships that
we are learning about is used as
one part of larger arguments\Dash
we looked at pitching and hitting for reasons that lie beyond the graphs.
\end{frame}


\begin{frame}{Scatterplots in general}
\centergraphic[width=\textwidth]{asy/relationships01.pdf}

This graphs the relationship between two quantative variables.
\begin{itemize}
\item There is a trend.
\item This is roughly line-like, so it is
  a \alert{linear relationship}.
\item When the explanatory variable rises, on the $x$-axis, 
  so does the response variable.
  That's a \alert{positive association}.
  If instead the response fell then that
  would be a \alert{negative association}.
\end{itemize}
\end{frame}



\begin{frame}{Caution: non-linear relationships}
If your car is idling, or you are driving slowly, you are wasting gas.
If you drive too fast, you make turbulence, which wastes gas.
This shows miles per gallon against miles per hour, for a number
of cars.
\centergraphic[height=0.50\textheight]{mpgvsmph1997.png}
These dots show that for each model the relationship is not a line.
(It is in theory quadratic.)  
\end{frame}


\begin{frame}{We will focus on relationships that fit a line}
We will be interested both in  understanding
how strong the relationship is, 
and in expressing it in some quantitative way (where possible).

The first is called the `regression coefficient',
the second is called the `equation of the line of best fit'.
\end{frame}



% \begin{frame}
%   \frametitle{Caution: summary numbers are no substitute for understanding}

% These four data sets are \textit{Anscombe's quartet}.
% \centergraphic[height=.35\textheight]{Anscombes_quartet.png}
% All four have these properties (some we have not studied yet).
% \begin{center} \small
%   \begin{tabular}{ll@{\hspace*{3em}}ll}
%     \multicolumn{1}{c}{\textsc{Property}}
%     &\multicolumn{1}{c}{\textsc{Value}}  
%     &\multicolumn{1}{c}{\textsc{Property}}
%     &\multicolumn{1}{c}{\textsc{Value}}  \\
%      Mean of $x$         &$9.0$    
%        &Standard dev of $x$ &$3.32$   \\
%      Mean of $y$         &$7.5$    
%        &Standard dev of $y$ &$2.03$   \\
%      Correlation         &$0.82$   
%        &Line of best fit    &$y = 3 + 0.5x$

%   \end{tabular}
% \end{center}
% \end{frame}

% \begin{frame}
%   The moral of the story:
%   \alert{Understand the data set} 
%     You can't rely on the summary statistics alone.
%     In particular, eyeball the data.

%     We will focus on
%     relationships that are linear,
%     that are usefully modelled by a line.
%     The data sets in the right don't meet the criteria.
%     But you can't tell that from the summary numbers alone.
% \end{frame}

\begin{frame}
\frametitle{Regression: an example}
You work at a financial services company.
The boss thinks more client contacts means more sales.
Here is last month's data.
\begin{center}
  \begin{tabular}{r|*{10}{r}}
    \textit{Contacts}         &14 &12 &20 &16 &46 &23 &48 &50 &55 &50  \\
    \cline{2-11}
    \textit{Sales, in \$K}    &24 &14 &28 &30 &80 &30 &90 &85 &120&110  \\
  \end{tabular}
\end{center}
\begin{center}
  \includegraphics[height=0.5\textheight]{contactsales.png}
\end{center}
\end{frame}

\begin{frame}
There is a distinct pattern
\begin{center}
  \includegraphics[height=0.4\textheight]{contactsales2.png}
\end{center}

Two variables are \alert{independent} if 
the occurrence of one makes it neither more nor less probable that 
the other occurs.
Otherwise the things are \alert{dependent}.
We are usually interested in line-like patterns showing some dependence.
\end{frame}


\begin{frame}
  \frametitle{The correlation coefficient}
Here is the original data. 
\begin{center}
  \begin{tabular}{r|*{10}{r}}
    \textit{Contacts}         &14 &12 &20 &16 &46 &23 &48 &50 &55 &50  \\
    \cline{2-11}
    \textit{Sales, in \$K}    &24 &14 &28 &30 &80 &30 &90 &85 &120&110  \\
  \end{tabular}
\end{center}
If we divide the data into quarters then we see how to make the formula.
\begin{center}
  \includegraphics[height=0.4\textheight]{contactsales3.png}
\end{center}
First look at the lower-left quadrant: 14 is below average and so is 24.
Minus times minus is plus.
Now think about the upper right: 50 is above average and so is 110, and
plus times plus is plus.
\end{frame}

\begin{frame}
In the above positive relationship picture, if we take the data and 
multiply the $x$ by the $y$ then we keep getting plusses, so they 
add to a value that is very plus.
Likewise, data in the upper left and lower right gives minuses.

The most common measure of 
the departure of two or more random variables 
from independence is
the \alert{correlation} or \alert{Pearson correlation coefficient}. 
It is denoted \alert{$r$} for a sample and \alert{$\rho$} for a population
(pronounce that symbol ``rho'').
\begin{equation*}
  r=\frac{1}{n-1}\Bigl[\frac{x_1-\bar{x}}{\sigma_x}\cdot\frac{y_1-\bar{y}}{\sigma_y}+\dots+\frac{x_n-\bar{x}}{\sigma_x}\cdot\frac{y_n-\bar{y}}{\sigma_y}\Bigr]
\end{equation*}
% But we'll use this algebraically-equivalent version of the formula 
% for calculations.
% \begin{equation*}
%   r=\frac{\sum x_iy_i-(1/n)\cdot \sum x_i\sum y_i}{(n-1)\cdot \sigma_x\sigma_y}
% \end{equation*}
For that data, \textit{StatKey} calculates $r=0.975$.

\end{frame}


% \begin{frame}{Using \textit{StatKey}}
% Here are some data pairs.
% \begin{center}
%   \begin{tabular}{r|*{10}{c}}
%     \multicolumn{1}{c}{\textit{Variables}}
%       &\multicolumn{10}{c}{\textit{Values}}  \\
%    \hline
%     $x$ &1 &2 &2 &3 &3 &3 &5 &7 &7 &9   \\
%     $y$ &12&10&8 &10&7 &9 &5 &2 &5 &3   \\
%   \end{tabular}
% \end{center}
% % 1, 12
% % 2, 10
% % 2, 8
% % 3, 10
% % 3, 7
% % 3, 9
% % 5, 5
% % 7, 2
% % 7, 5
% % 9, 3
% \begin{center}
%   \includegraphics[height=0.5\textheight]{relationships_edit.png}
% \end{center}
% \end{frame}

% \begin{frame}
% The correlation is $r=-0.907$.
% \begin{center}
%   \hspace*{-1em}\includegraphics[height=0.5\textheight]{relationships_graph.png}
% \end{center}
% \end{frame}



\begin{frame}{Key points about $r$}
  \begin{itemize}
  \item Use correlation number $r$ only when considering 
    a relationship that fits a line.
  \item It must be between $-1$ and $1$.
  \item If $r$ is positive then the two variables have a 
    positive association (that is, when the explanatory rises then
    the response tends to rise).
    If $r$ is negative then the two have a negative association.
  \item If $r$ is close to $1$ or $-1$ then the data is 
    very well fit by a line.
  \pause\item It is strongly influenced by extreme values.
  \item If one variable $x$ is correlated to another~$y$ with
    correlation~$r$, then also $y$ is correlated to~$x$ with
    the same correlation~$r$.
    That is, you cannot tell from~$r$ which is the explanatory and
    which is the response.
  \pause\item 
    To understand what the number~$r$ means, square it:
    \alert{$r^2$ says how much of the variation in the response
    is accounted for by the variation in the explanatory.} 
  \end{itemize}
\end{frame}


\begin{frame}
  \begin{center}\small
    \begin{tabular}{@{}c@{}c@{}c}
      \begin{tabular}{c}
        \includegraphics[width=1.25in]{cor26.png} \\
        $r=0.26$
      \end{tabular}
      &\begin{tabular}{c}
        \includegraphics[width=1.25in]{cor50.png} \\
        $r=0.50$
      \end{tabular}     
      &\begin{tabular}{c}
        \includegraphics[width=1.25in]{cor67.png} \\
        $r=0.67$
      \end{tabular}    \\
      \begin{tabular}{c}
        \includegraphics[width=1.25in]{cor87.png} \\
        $r=0.87$
      \end{tabular}     
      &\begin{tabular}{c}
        \includegraphics[width=1.25in]{cor94.png} \\
        $r=0.94$
      \end{tabular}
      &\begin{tabular}{c}
        \includegraphics[width=1.25in]{cor99.png} \\
        $r=0.99$
      \end{tabular}     \\
    \end{tabular}
  \end{center}
\end{frame}


\begin{frame}
  \frametitle{Zero Correlation}
  This data set has a correlation of $r=0.009$.
  (Source MSCI, 2005--2015.)
  \centergraphic[height=0.65\textheight]{ceopay.png}
\end{frame}





\begin{frame}
\frametitle{Cause}

One thing may be a factor in another, while not being the entire cause.

Kevin Garnett weighs 240~lbs.
But it is not because of too many trips to the buffet.
It is because he is $6$-$11$.
\begin{center}
  \includegraphics[height=0.35\textheight]{garnett.jpg}
\end{center}
To some extent height causes weight.
But it is not $100$\%\Dash variation in height only explains some
  of the variation in weight.

In high school science we study situations where 
one billiard ball hits
another, which reacts according to $F=ma$, etc.
In this class, cause is more subtle.

\end{frame}




% > z=read.table(file='djia_wgt.data',header=T)
% > png(file='djia_wgt.png')
% > plot(z,pch=20,xlab='',ylab='',col="blue")
% > abline(lm(z$DJIA ~ z$weight))
% > dev.off()
\begin{frame}
\frametitle{Mantra: Correlation does not prove not causality}
Two things may vary together despite that 
there is no cause relationship,
meaning that the first does not cause the second and also the 
second does not cause the first.

\ex
In elementary school children, height is strongly 
correlated to score on a vocabulary test.
Here, age is a lurking variable.

\ex
Europeans in the Middle Ages believed that lice were beneficial for your health 
because you hardly ever saw lice on sick people. 

\ex
Vitamin D deficiency is correlated to cancer.
But large randomized controlled experimental studies show that 
supplements do not change the cancer rate.

\ex
And, in this Big Data age, where computers look for connections between
thousands of random variables,
we can realistically expect that sometimes 
\href{https://www.tylervigen.com/spurious-correlations}{a found correlation is a coincidence}.

\smallskip
Someone who shows that two things are correlated has not shown
that one causes the other.
People say, ``correlation is not causality.''


\end{frame}

% \pause
% \centergraphic[height=.4\textheight]{tempvspirates.jpg}
% \pause
% (You can also google ``crazy correlations.'')

\begin{frame}{\ldots{} but it is more complicated than that}

However, don't dismiss correlation.
Showing correlation is not useless.
\begin{itemize}
\item If you think two things may be connected and you find a
significant correlation then that adds weight to your argument.
It also gives you a way to quantify the relationship.

\item If you find a correlation, you may at least wonder if there
is an explanation for that correlation.
Perrhaps you may even wonder if the explanation is
that there is a cause.
\end{itemize}

As usual, it is about understanding the tool in the context of a
larger argument.
\end{frame}


\begin{frame}
\frametitle{In particular: Smoking \emph{causes} cancer}

People have always observed that smoking is strongly correlated with 
cancer.
What is the meaning of that correlation?
\begin{itemize}
\item Perhaps smoking causes cancer through some chemical or
  biological effect.
\item Perhaps the two vary in response to one or more lurking
  variables (maybe there is a gene that makes a person susceptible to
  smoking and that also causes cancer).
\item Perhaps cancer causes smoking.
\end{itemize}
% \end{frame}

% \begin{frame}
In 1964 the \href{https://profiles.nlm.nih.gov/ps/retrieve/Narrative/NN/p-nid/60}{US Surgeon General released a report} that made it so clear that no
reasonable person could think otherwise.
The question 
\href{https://www.ncbi.nlm.nih.gov/books/NBK53017/}{has been settled}.
Even tobacco companies admit it.

\textit{Smoking is a leading cause of cancer and of death from cancer. 
It causes cancers of the lung, esophagus, larynx (voice box), mouth, 
throat, kidney, bladder, pancreas, stomach, and cervix, as well as 
acute myeloid leukemia.}

\alert{If you smoke, please quit.}
\end{frame}




%........................................................
\section{Line of best fit}


% R commands
% > source("father.son.R")
% > png(file="father_son.png")
% > plot(father.son,pch=20,xlab="",ylab="")
% > dev.off()
\begin{frame} 
\frametitle{Quantitative vs. quantitative; scatterplots}
Karl Pearson ($1857$-$1936$), who established mathematical statistics,
did a study of heredity where he plotted
$1078$ observations of
a father's height (the $x$-axis) against a son's height ($y$-axis), in inches.
\centergraphic[height=.5\textheight]{father_son.png}
Although there is randomness, there is also a pattern.
\end{frame}


\begin{frame}
\begin{itemize}
\item \textbf{Random}
  If you tell me the height of the father, I cannot tell you 
  exactly the height of the son.
  % In high school Physics you roll balls down an inclined plane, and
  % once you've set up the experiment then 
  % the time elapsed \emph{determines} the distance fallen.
  The father's height does not completely determine the son's height.
\item\textbf{Pattern}
  Nonetheless, there is a pattern.
  There is a general trend from lower-left to upper right.

  If we focus on a particular height father, say $70$ inches,
  then the sons are distributed with some mean and some standard deviation.
  We can use the father's height to predict the son's height,
  keeping in mind that the father does not $100\%$ determine the 
  son's height.
  (For instance, the mother has to do with it and there
  is luck.)
\end{itemize}  
\end{frame}



% R commands
% > source("father.son.R")
% > png(file="father_sonline.png")
% > plot(father.son,pch=20,xlab="",ylab="")
% > x=father.son$fheight
% > y=father.son$sheight
% > abline(lm(y ~ x))
% > dev.off()
\begin{frame}{The line of best fit} 
\centergraphic[width=2.25in]{father_sonline.png}
\end{frame}

% > x=read.table(file='flip.coin.table',header=T)
% > plot(x$heads,x$flips)
% > abline(lm(x$flips ~ x$heads))
% simple.lm(x$heads,x$flips) ?

% x=read.table(file='flip.coin.table',header=T)
% tikz(file='/home/teach/stats/relationships/flip_coin.tex',standAlone=F,width=3,height=3)
% plot(x$heads,x$flips)
% abline(lm(x$flips ~ x$heads))
% dev.off()
\begin{frame}
\frametitle{Formula}

I flipped a penny and recorded the number of heads.
\begin{center}
  \begin{tabular}{r|rrr}
    flips  &$30$  &$60$  &$90$  \\ \hline
    heads  &$16$  &$34$  &$51$
  \end{tabular}
\end{center}
\begin{center}\includegraphics[height=.5\textheight]{flip_coin.png}\end{center}
\end{frame}


\begin{frame}
\frametitle{Formula for line of best fit}
We want an equation
that we can use to predict the value of the response variable from
an explanatory variable.
\begin{align*}
  \text{response variable}
     &=\text{intercept}+\text{slope}\cdot\text{explanatory variable}  \\
   y
     &=a\hspace*{0.45in}+\hspace*{0.25in}b\cdot x  
\end{align*}

\pause
\textit{Derivation.}
We find the slope and intercept such that the line has a  
minimal total distance between the sample points and the 
associated points on the line. 
% \pause
% \begin{center}\small
%   \begin{tabular}{rrrrr}
%     $x$   &$y$   &$x^2$    &$y^2$   &$xy$  \\ \hline
%     $30$  &$16$  &$900$    &$256$  &$480$  \\
%     $60$  &$34$  &$3600$   &$1156$ &$2040$  \\
%     $90$  &$51$  &$8100$   &$2601$ &$4590$  \\ \hline
%     $180$ &$101$ &$12600$  &$4013$ &$7110$
%   \end{tabular}
% \end{center}
% {\small
% \begin{align*}
%   \text{slope} &=\frac{\sum xy-(1/n)\sum x\sum y}{\sum x^2-(1/n)(\sum x)^2}
%   &\text{intcpt}&=(1/n)(\sum y-\text{slope}\sum x)  \\
%                   &=\frac{7110-(1/3)(180\cdot 101)}{12600-(1/3)(180)^2}=0.58
%   &               &=(1/3)(101-(.58\cdot 180))=-1.13
% \end{align*}}
\end{frame}




\begin{frame}{Using \textit{StatKey}}
Here is some data that looks line-like.
\begin{center}\small
\begin{tabular}{r|*{10}{c}}
  $x$ &1  &2  &2 &3  &3 &3 &5 &7 &7 &9   \\
  \cline{1-11}
  $y$ &12 &10 &8 &10 &7 &9 &5 &2 &5 &3
\end{tabular}
\end{center}
% 1, 12
% 2, 10
% 2, 8
% 3, 10
% 3, 7
% 3, 9
% 5, 5
% 7, 2
% 7, 5
% 9, 3
\begin{center}
  \includegraphics[height=0.7\textheight]{relationships_line.png}
\end{center}
\end{frame}

\begin{frame}{The point of the line of best fit: making predictions}
We can use the equations of the lines of best fit
to make predictions. 

\exm
On the prior slide \textit{StatKey}
says that the slope is $-1.119$ and the intercept is $11.802$. 
Predict the result when $x=5.5$.
\begin{align*}
  \text{response variable}
     &=\text{intercept}+\text{slope}\cdot\text{explanatory variable}  \\
   y
     &=a\hspace*{0.45in}+\hspace*{0.25in}b\cdot x           \\
     &=11.809-1.119\cdot (5.5)  \\
     &\approx 5.65
\end{align*}

\bigskip
But be careful; don't use the line to make a prediction too far out.
We say a prediction is an \alert{interpolation} when it is inside, or
nearly inside, the data set used to make the model.
When the prediction involves numbers far from the data set, 
it is \alert{extrapolation}.
That is often dangerous.
\end{frame}



% > z=read.table(file='money.data',header=T) 
% > png(file='money.png')
% > plot(z,pch=20,xlab='',ylab='',col="green")
% > abline(lm(z$life ~ z$denomination))
% > dev.off()
\begin{frame} 
\frametitle{Money}
\begin{center} \small
  \begin{tabular}{r|rrrrrr}
    life in months    &$21$   &$16$   &$18$    &$24$    &$55$    &$89$  \\ \hline
    US denomination   &$1.00$ &$5.00$ &$10.00$ &$20.00$ &$50.00$ &$100.00$
  \end{tabular}
\end{center}

\pause
\centergraphic[height=0.5\textheight]{money.png}
The line of best fit is:
$\text{life}=13.6904 +0.7573\cdot\text{denomination}$.
\pause
Predict the life of a  $x=25$ dollar bill.
\begin{align*}
  \text{response variable}
     &=\text{intercept}+\text{slope}\cdot\text{explanatory variable}  \\
   y
     % &=a\hspace*{0.45in}+\hspace*{0.25in}b\cdot x           \\
     &=13.6904+0.7573\cdot (25)  
     \approx 32.62
\end{align*}
\end{frame}







% > png(file='long_jump.png') 
% > plot(z,pch=20,xlab='',ylab='')
% > abline(lm(z$dist ~ z$date))
% > dev.off()
\begin{frame} 
\frametitle{Men's long jump}
\centergraphic[width=2.25in]{long_jump.png}
\end{frame}

\begin{frame}
\tiny\vspace*{-4ex}
\input{long_jump.table}  
\end{frame}

\begin{frame}{Bob Beamon}
\begin{center}
   \href{https://www.youtube.com/watch?v=DEt_Xgg8dzc}{video}
\end{center}
% \begin{center}
% \includemovie[
%   poster,
%   text={\small(beamon.mpg)}
% ]{6cm}{6cm}{beamon.mpg}
% \end{center}
\end{frame}


% > z=read.table(file='hundred_meters.data',header=T)
% > png(file='hundred_meters.png') 
% > plot(z,pch=20,xlab='',ylab='')
% > abline(lm(z$time ~ z$date))
% > dev.off()
\begin{frame} 
\frametitle{Men's hundred meters}
\centergraphic[height=.8\textheight]{hundred_meters.png}
\end{frame}

\begin{frame}
\tiny\vspace*{-4ex}
\input{hundred_meters.table}  
\end{frame}



% > z=read.table(file='mens_fifteen.data',header=T)
% > png(file='mens_fifteen.png') 
% > plot(z,pch=20,xlab='',ylab='')
% > abline(lm(z$time ~ z$date))
% > dev.off()
\begin{frame}
\frametitle{Men's fifteen hundred meters}
\centergraphic[width=2.25in]{mens_fifteen.png}
\end{frame}

\begin{frame}
\tiny\vspace*{-4ex}
\input{mens_fifteen.table}  
\end{frame}

% In R
% > csv_data<-read.csv("marathon.csv")
% > png("marathon.png")
% > plot(x=csv_data$Year,y=csv_data$Hours,xlab="Year",ylab="Hours",main="Mens marathon record times")
% > dev.off()
\begin{frame} 
\frametitle{Men's marathon}
\centergraphic[height=.8\textheight]{marathon.png}
\end{frame}

\begin{frame}[fragile]
\tiny\vspace*{-4ex}
\input{mens_marathon.table}  
\end{frame}


\begin{frame}
\tiny\vspace*{-4ex}
\begin{tabular}{*{5}{l}}
2:05:38 	&Khalid Khannouchi&April 14, 2002    &London Marathon \\
2:04:55 	&Paul Tergat 	  &September 28, 2003&Berlin  \\
2:04:26 	&Haile Gebrselassie &September 30, 2007 &Berlin \\
2:03:59 	&Haile Gebrselassie &September 28, 2008 &Berlin \\
2:03:38 	&Patrick Makau 	  &September 25, 2011 &Berlin \\
2:03:23 	&Wilson Kipsang   &September 29, 2013 &Berlin \\
2:02:57 	&Dennis Kimetto   &September 28, 2014 &Berlin \\
2:01:39 	&Eliud Kipchoge   &September 16, 2018 &Berlin \\
2:01:09 	&Eliud Kipchoge   &September 25, 2022 &Berlin \\
\end{tabular}
\end{frame}




% z=read.table(file='mens_fifteen.data',header=T) 
% w=read.table(file='womens_fifteen.data',header=T)
% png(file='fifteen.png')
% plot("year","seconds",xlim=c(1910,2000), ylim=c(200,270), type = "n" )
% points(z,pch=20,xlab='',ylab='',col=11)
% points(w,pch=20,xlab='',ylab='',col=50)
% abline(lm(z$time ~ z$date),col=11)
% abline(lm(w$time ~ w$date),col=50)
% dev.off()
\begin{frame} 
\frametitle{Women's and men's fifteen hundred meters}
\centergraphic[width=2.25in]{fifteen.png}
\end{frame}

\begin{frame}
\tiny\vspace*{-4ex}
\input{womens_fifteen.table}  
\end{frame}






\begin{frame}{Residuals}
  
The \alert{residual} of a sample is the difference between the 
sample number and the estimated function value. 

In some cases, a plot of residuals (for instance, against time)
reveals patterns.
That can tell you there is a factor that you have not taken into account.
\centergraphic[height=0.6\textheight]{residuals.png}

\end{frame}


\begin{frame}{Data mining}
  In our computer age data comes in floods.
  A person has to be wary of drawing conclusions from all that stuff.

\begin{quotation}  \small
  [In an economic study] one might be looking at Census data on households
  that can be divided up in roughly a jillion ways: not just the basic
  categories like age, income, wealth, education, health, occupation,
  ethnicity, geography, urban/rural, during recession or not, and others,
  but also various interactions of these factors looking at two or three
  or more at a time.
  Then, researchers make choices about whether to assume that connections
  between these variables should be thought of a linear relationship,
  curved relationships (curving up or down), relationships are are U-shaped
  or inverted-U, and others.
  Now add in all the different time periods and events and places and
  before-and-after legislation that can be considered.
  For this fairly basic data, one is quickly looking at thousands or tens
  of thousands of possible connections relationships.

  (Timothy Taylor, editor of the \textit{Journal of Economic Perspectives},
  a highly influential publication of the American Economic Association.)
\end{quotation}
% conversableeconomist.blogspot.com/2019/03/time-to-abolish-statistical-significance.html
\end{frame}
\begin{frame}
  From Edward Leamer's 1983 article,
  \textit{Taking the Con out of Econometrics}.
  % from the American Economic Review, March 1983, pp. 31-43).
\begin{quotation} \small
  The econometric art as it is practiced at the computer terminal involves
  fitting many, perhaps thousands, of statistical models.
  One or several that the researcher finds pleasing are selected for
  reporting purposes.
  This searching for a model is often well intentioned, but there can be no
  doubt that such a specification search invalidates the traditional
  theories of inference. \ldots{}
  [I]n fact, all the concepts of traditional theory, utterly
  lose their meaning by the time an applied researcher pulls from the
  bramble of computer output the one thorn of a model he likes best,
  the one he chooses to portray as a rose.
  \ldots{}
  % The econometrician's shabby art is humorously and disparagingly labelled
  % ``data mining,'' ``fishing,'' ``grubbing,'' ``number crunching.''
  % A joke evokes the Inquisition:
  % ``If you torture the data long enough, Nature will confess'' \ldots{}
  This is a sad and decidedly unscientific state of affairs we find ourselves
  in.
  Hardly anyone takes data analyses seriously.
  Or perhaps more accurately, hardly anyone takes anyone else's
  data analyses seriously."
\end{quotation}

It is perhaps overly broadly stated to be more memorable, but it is worth
remembering.
\end{frame}





%........................................................
\section{Two quantitative variables: Simpson's paradox}


\begin{frame}
\frametitle{Simpson's paradox}

We sometimes have to decide whether to consider data aggregated,
or divided.

\pause
\exm Bob and Fred go to the track.  
They have an argument about which is a better bettor.
If we break into two categories, Fred beats Bob in both.
\begin{itemize}
  \pause\item On long odds races Bob has won $0/1=0.00$
    while Fred has won $1/99=0.01$.
  \pause\item On short odds races Bob has won $50/99=0.51$
    while Fred has won $1/1=1.00$.  
\end{itemize}
\pause
But put the categories together and 
Bob is $50/100=0.50$ while Fred is $2/100=0.02$.

\alert{Simpson's paradox}: Comparisons holding when data is divided into groups
may reverse when the groups are combined. 
\end{frame}

% \begin{frame}
% This comes from a medical study comparing two treatments for kidney 
% stones.
% \begin{center} \small
%   \begin{tabular}{r|rr}
%     \multicolumn{1}{c}{\ }
%     &\multicolumn{1}{c}{\textit{open procedures}}
%     &\multicolumn{1}{c}{\textit{percutaneous nephrolithotomy}} \\ \hline
%     small stone  &$81/87=0.93$    &$234/270=0.87$  \\
%     large stone  &$192/263=0.73$  &$55/80=0.69$  \\ \hline
%     \multicolumn{1}{c}{\ }
%     &$273/350=0.78$  &$289/350=0.83$
%   \end{tabular}
% \end{center}
% When data is divided into ``small stone'' and ``large stone'' cases,
% the first treatment is better in both cases.
% But when data is combined, the second treatment is better.
% \end{frame}


\begin{frame}{National Assessment of Educational Progress}
The NEAP
found that overal, math scores for 17-year-olds (the navy blue line) 
decreased by a point between 1992 and 2012.
\centergraphic[height=0.4\textheight]{nea.png}  
But the test scores rose for all three groups of 
white students, black students, and Hispanic students.  

\pause
How is that possible?
The composition of students changed. 
In 1992, 75 percent of students were white, 15 percent were black, and 7 
percent was Hispanic. 
By 2012, 57 percent were white, 13 percent were black, and 22 percent were 
Hispanic. 
\end{frame}



\begin{frame}{Admissions at Berkeley}
The University of California at Berkeley was sued for bias against women 
who had applied for admission to graduate schools.
Here is the overall data (for 1973).
\begin{center}\small
  \begin{tabular}{r|rr}
    \multicolumn{1}{c}{\ }
    &\multicolumn{1}{c}{\textit{number of applicants}}
    &\multicolumn{1}{c}{\textit{admission ratio}}  \\ \hline
    Men    &$8442$  &$0.44$  \\
    Women  &$4321$  &$0.35$  
  \end{tabular}
\end{center}

\pause
Here is the data disaggregated into separate graduate schools.
\begin{center}\small
  \begin{tabular}{r|rr|rr}
   \multicolumn{1}{c}{\ }
     &\multicolumn{2}{c}{Men}
     &\multicolumn{2}{c}{Women} \\  % \cline[2-5]
     \multicolumn{1}{c}{\ }
     &\textit{Number}  &\textit{Admission ratio}
     &\textit{Number}  &\textit{Admission ratio}  \\ \hline
    A  &$825$ &$0.62$ &$108$ &$0.82$ \\
    B  &$560$ &$0.63$ &$25$  &$0.68$ \\
    C  &$325$ &$0.37$ &$593$ &$0.34$ \\
    D  &$417$ &$0.33$ &$375$ &$0.35$ \\
    E  &$191$ &$0.28$ &$393$ &$0.24$ \\
    F  &$272$ &$0.06$ &$341$ &$0.07$ 
  \end{tabular}
\end{center}
\end{frame}


\begin{frame}{Gender pay gap}
Everyone knows that in the US, women's pay averages significantly less
than men's pay.
However, while
in total women earn significantly less than men, in many occupations 
women and men are not very different with respect to their pay. 

So, understanding the civic conversation requires an understanding of Simpson's
paradox.
\end{frame}

\end{document}
